import pygtk
pygtk.require('2.0')
import gtk
import hippo
#import glive
import pygame

from sugar.activity import activity
from sugar.graphics import units
from olpcgames.canvas import PyGameCanvas

__all__ = ['PyGameActivity']


class PyGameActivity(activity.Activity):
       
    game_name = None
    game_title = 'PyGame Game'
    game_handler = None
    game_size = (units.grid_to_pixels(16),
                 units.grid_to_pixels(11))
       
    def __init__(self, handle):
            super(PyGameActivity, self).__init__(handle)
           
            self.set_title(self.game_title)
           
            toolbar = activity.ActivityToolbar(self)
            toolbar.show()
            self.set_toolbox(toolbar)
            toolbar.title.unset_flags(gtk.CAN_FOCUS)
           
            assert self.game_handler or self.game_name, 'You must specify a handler module (%r)'%(self.game_handler or self.game_name)
            self._pgc = PyGameCanvas(*self.game_size)
            self.set_canvas(self._pgc)
            self._pgc.grab_focus()
            self._pgc.connect_game(self.game_handler or self.game_name)

            #glive.LiveVideoSlot(self)
            #self._livevideo.set_size_request(160, 120)
            #self._livevideo.hide()
            #self.fix = gtk.Fixed()
            #self.fix.put(self._livevideo, 0, 0)

            #self._livevideo.playa.play()

            #import pygamecam
            #pygamecam.MyActivity = self

            gtk.gdk.threads_init()

    def setPic(self, pixbuf):
            print "Got a pic! WOOO!"
            #import pygamecam
            #pygame.event.post(pygame.event.Event(pygamecam.PICTAKEN, pixbuf=pixbuf))
            #pixbuf.save("/home/olpc/happy.jpeg", "jpeg")
